execute as @a[tag=Host] at @s run tag @a[tag=!Host] add Member
tag @a[tag=!Member] add Host
tag @a[tag=Member] remove Host

function Console.ammoStart

execute as @a[tag=clear] at @s run function clear
effect @a[tag=prestiged] speed 11 0 true
effect @a[tag=ability_fire_resistance] fire_resistance 11 255 true

execute as @a[tag=menu_open_prestige] at @s run dialogue open @e[type=js:npc,c=1] @s gui_apocalypse_weapon_prestige
execute as @a[tag=menu_open_personal] at @s run dialogue open @e[type=js:npc,c=1] @s gui_apocalypse_personal_main_menu
execute as @a[tag=menu_open_host] at @s run dialogue open @e[type=js:npc,c=1] @s gui_apocalypse_host_main_menu

execute as @a[tag=Host,tag=!projectileDamageFalse] run tag @a remove projectileDamageFalse
execute as @a[tag=Host,tag=projectileDamageFalse] run tag @a add projectileDamageFalse

tag @e[family=shield_zombie] add armour
tag @e[family=knight_zombie_armoured] add armour2
tag @e[family=johnny] add armour3
tag @e[family=bobby] add armour3

execute as @a[hasitem={item=js:health}] run scriptevent js:hp_pickup
tag @a[hasitem={item=js:oblivion_ammo}] add has_oblivion_ammo
tag @a[hasitem={item=js:svd_ammo}] add has_svd_ammo
tag @a[hasitem={item=js:fp6_ammo}] add has_fp6_ammo
tag @a[hasitem={item=js:sh_plasma_cannon_ammo}] add has_sh_plasma_cannon_ammo
tag @a[hasitem={item=js:hk417_ammo}] add has_hk417_ammo
tag @a[hasitem={item=js:flamethrower_ammo}] add has_flamethrower_ammo
tag @a[hasitem={item=diamond}] add has_diamond
tag @a[hasitem={item=lapis_block}] add has_lapis_block
tag @a[hasitem={item=netherite_ingot}] add has_netherite_ingot
tag @a[hasitem={item=diamond_block}] add has_diamond_block

tag @a[hasitem={item=js:oblivion_ammo,quantity=0}] remove has_oblivion_ammo
tag @a[hasitem={item=js:svd_ammo,quantity=0}] remove has_svd_ammo
tag @a[hasitem={item=js:fp6_ammo,quantity=0}] remove has_fp6_ammo
tag @a[hasitem={item=js:sh_plasma_cannon_ammo,quantity=0}] remove has_sh_plasma_cannon_ammo
tag @a[hasitem={item=js:hk417_ammo,quantity=0}] remove has_hk417_ammo
tag @a[hasitem={item=js:flamethrower_ammo,quantity=0}] remove has_flamethrower_ammo
tag @a[hasitem={item=diamond,quantity=0}] remove has_diamond
tag @a[hasitem={item=lapis_block,quantity=0}] remove has_lapis_block
tag @a[hasitem={item=netherite_ingot,quantity=0}] remove has_netherite_ingot
tag @a[hasitem={item=diamond_block,quantity=0}] remove has_diamond_block



execute as @a[tag=infinite] at @s run function Console.ammoRefill
title @a times 0 40 20

scoreboard objectives add apocalypse dummy " §aApocalypse "
scoreboard players set @a[tag=Host] player_count 0
scoreboard players set " §bPlayers Online: " apocalypse 0
scoreboard players set " §cZombie Count: " apocalypse 0
execute as @a at @s run scoreboard players add @a[tag=Host] player_count 1
execute as @a at @s run scoreboard players add " §bPlayers Online: " apocalypse 1
execute as @e[type=zombie,c=100] at @s run scoreboard players add " §cZombie Count: " apocalypse 1
scoreboard players operation @a[tag=Host] zombie_count = " §cZombie Count: " apocalypse

execute as @e[type=item,name="toxic_barrel_exploder",c=1] at @s run summon js:toxic_explosion ~~~ ~~ minecraft:entity_spawned
execute as @e[type=item,name="toxic_barrel_exploder2",c=1] at @s run summon js:toxic_explosion ~~~ ~~ js:map1
execute as @e[type=item,name="toxic_barrel_exploder",c=1] at @s run kill @s
execute as @e[type=item,name="toxic_barrel_exploder2",c=1] at @s run kill @s

execute as @a at @s run execute as @e[type=item,name="item.js:health.name",c=4,r=12] at @s run tp @s ^ ^ ^0.4 facing @p[m=!spectator]